<script setup>
defineProps({
  product: {
    article: String,
    sexe: String,
    couleur: String,
    prix: String,
    photo: String,
  },
});
</script>

<template>
  <figure class="product">
    <img
      :src="'./src/assets/products/' + product.photo"
      :alt="'./src/assets/products/' + product.photo"
      class="product__thumbnail"
    />
    <figcaption class="product__infos">
      <h2 class="product__name">{{ product.article }}</h2>
      <p class="product__type" v-if="product.sexe && product.sexe !== 'Mixte'">
        Chaussure pour {{ product.sexe }}
      </p>
      <p class="product__type" v-else>Chaussure</p>
      <p class="product__colors">
        {{ product.couleur.toString().split(",").length }} couleur{{
          product.couleur.toString().split(",").length > 1 ? "s" : ""
        }}
      </p>
      <p class="product__price">{{ product.prix }}</p>
    </figcaption>
  </figure>
</template>

<script>
export default {
  name: "ProductItem",
};
</script>

<style scoped lang="scss">
// product
.product {
  font-family: sans-serif;
  &__thumbnail {
    width: 100%;
    height: 15rem;
    object-fit: cover;
    @media screen and (min-width: 1200px) {
      height: 30rem;
    }
  }
  &__infos {
    font-size: 12px;
    line-height: 18px;
    margin-top: 1rem;
    padding-left: 1rem;
  }
  &__name {
    font-size: 16px;
  }
  &__price {
    margin-top: 1rem;
    font-weight: bold;
    font-size: 14px;
  }
}
</style>
